client.stub.iaccessi

## Class DocumentURI

- java.lang.Object
- - client.stub.iaccessi.DocumentURI

-     public class DocumentURI
      extends Object

  Classe Java per documentURI complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="documentURI">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="documentID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="regionalNode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `documentID`
    `protected String` | `regionalNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentURI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDocumentID()` Recupera il valore della proprietà documentID.
    `String` | `getRegionalNode()` Recupera il valore della proprietà regionalNode.
    `void` | `setDocumentID(String value)` Imposta il valore della proprietà documentID.
    `void` | `setRegionalNode(String value)` Imposta il valore della proprietà regionalNode.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### documentID

          protected String documentID

    - #### regionalNode

          protected String regionalNode

  - ### Constructor Detail

    - #### DocumentURI

          public DocumentURI()

  - ### Method Detail

    - #### getDocumentID

          public String getDocumentID()

      Recupera il valore della proprietà documentID.
      Returns:
        possible object is `String`

    - #### setDocumentID

          public void setDocumentID(String value)

      Imposta il valore della proprietà documentID.
      Parameters:
        `value` - allowed object is `String`

    - #### getRegionalNode

          public String getRegionalNode()

      Recupera il valore della proprietà regionalNode.
      Returns:
        possible object is `String`

    - #### setRegionalNode

          public void setRegionalNode(String value)

      Imposta il valore della proprietà regionalNode.
      Parameters:
        `value` - allowed object is `String`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.